Support » Plugin: Wordfence Security - Firewall & Malware Scan » Error message since today

  • Resolved mgregoire83

    (@mgregoire83)


    Hi,

    I have had to deactivate Wordfence, because this massage was displayed :

    Fatal error: require(): Failed opening required ‘/home/ideequartier/public_html/wp-content/plugins/wordfence/lib/../modules/login-security/wordfence-ls.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/ideequartier/public_html/wp-content/plugins/wordfence/lib/wordfenceClass.php on line 49

    Many thanks for your support!

    Regards

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Support wfdave

    (@wfdave)

    Hi @mgregoire83,

    It looks like when Wordfence automatically updated, some files may have not have been properly copied over.

    Can you try reinstalling Wordfence (your settings / data will remain) and seeing if you still see the same error message?

    Dave

    Seeing similar and receiving a notification from WordPresses Site Health feature when it occurs.

    It has happened when the plugin auto-updated.

    [13-Jun-2019 15:51:56 UTC] PHP Fatal error: require_once(): Failed opening required ‘/wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/init.php’ (include_path=’.:/opt/cpanel/ea-php73/root/usr/share/pear’) in /wp-content/plugins/wordfence/wordfence.php on line 64
    [13-Jun-2019 15:51:58 UTC] PHP Warning: require(/wp-content/plugins/wordfence/lib/../modules/login-security/wordfence-ls.php): failed to open stream: No such file or directory in /wp-content/plugins/wordfence/lib/wordfenceClass.php on line 49
    [13-Jun-2019 15:51:58 UTC] PHP Fatal error: require(): Failed opening required ‘/wp-content/plugins/wordfence/lib/../modules/login-security/wordfence-ls.php’ (include_path=’.:/opt/cpanel/ea-php73/root/usr/share/pear’) in /wp-content/plugins/wordfence/lib/wordfenceClass.php on line 49
    [13-Jun-2019 15:52:01 UTC] PHP Warning: require(/wp-content/plugins/wordfence/lib/../modules/login-security/wordfence-ls.php): failed to open stream: No such file or directory in /wp-content/plugins/wordfence/lib/wordfenceClass.php on line 49
    [13-Jun-2019 15:52:01 UTC] PHP Fatal error: require(): Failed opening required ‘/wp-content/plugins/wordfence/lib/../modules/login-security/wordfence-ls.php’ (include_path=’.:/opt/cpanel/ea-php73/root/usr/share/pear’) in /wp-content/plugins/wordfence/lib/wordfenceClass.php on line 49

    Weird that the required path goes into lib and then back up out of it, but regardless wordfence-ls.php does not exist there but wordfence-login-security.php does.
    wordfence/lib/../modules/login-security/wordfence-ls.php

    wordfence/vendor/wordfence/wf-waf/src/init.php does exist for me.

    Could something be getting accessed during the update process before the update is complete?

    Hi,
    Many thanks for your ansxer:

    I’ve made a new install of Wordfence, and the problem stay still the same : impossible to activate, the same error message is displayed.

    Regards

    MG

    Plugin Support WFGerroald

    (@wfgerald)

    Hey @mgregoire83,

    If you have any caching can you please clear it to see if it helps with the error?

    Thanks,

    Gerroald

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.